import type { SequenceObject } from '../files';
import type { FD } from '../fd';
import type { Camera } from '../camera';
import type { Display } from '../display';
import type { FFPROBE } from '../ffprobe';
export declare class Sequence {
    private log;
    private current;
    private images;
    private camera;
    private display;
    private ffprobe;
    private fd;
    private running;
    private progress;
    private frames;
    constructor(camera: Camera, fd: FD, display: Display, ffprobe: FFPROBE);
    start(): void;
    stop(): void;
    isRunning(): boolean;
    load(seq: SequenceObject): void;
    private enumerate;
    unload(): void;
    getState(): SequenceState;
}
